// =====================================================================
//  $Id: TQuitCommand.cc,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TQuitCommand.hh"
#include "TUserInterface.hh"
#include "TRunManager.hh"

static const Tstring _name = "quit";
static const Tstring _desc = "terminate this session by force.";

TQuitCommand::TQuitCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TQuitCommand::~TQuitCommand()
{;}

Tvoid TQuitCommand::Execute( const TstringList& arguments )
{
  TUserInterface* ui = theRunManager -> GetUserInterface();
  ui -> ExecuteCommand( "exit" );
  return;
}
